-- Average CO2 emissions by author country
-- Location of each position is the country's capital
-- IS lacks a capital so we use avg(lat), avg(long) for it
.mode tabs
select Capitals.long as long, Capitals.lat as lat, avg(CO2)/5000 as co2, locations.cc1 as cc1 from Papers left join
Locations on Papers.corrLocId = Locations.id left join
(select lat, long, cc1 from Locations where dsg = 'C') as Capitals on Capitals.cc1 = Locations.cc1
where CO2 notnull and Capitals.long notnull
group by Locations.cc1
having count(*) > 20
union
select avg(Locations.long) as long, avg(Locations.lat) as lat, avg(CO2)/5000 as co2, locations.cc1 as cc1 from Papers left join
Locations on Papers.corrLocId = Locations.id left join
(select lat, long, cc1 from Locations where dsg = 'C') as Capitals on Capitals.cc1 = Locations.cc1
where CO2 notnull and Capitals.long isnull
group by Locations.cc1
having count(*) > 20
;
