use strict;

use constant MAX_RANK => 10000;

my %rankings = ();

my $file = "author-co2-by-country.txt";
open(IN, $file) || die "Unable to open $file: $!\n";
my @author_co2_by_country = <IN>;
close(IN);

$file = "confloc-co2-by-country.txt";
open(IN, $file) || die "Unable to open $file: $!\n";
my @confloc_co2_by_country = <IN>;
close(IN);

for (my $i = 0; $i < @author_co2_by_country; $i++) {
  my $line = $author_co2_by_country[$i];
  chop($line);
  my $country = (split(/\t/, $line))[0];
  $country = (split(/,/, $country))[0]; # avoid KOREA, REPUBLIC OF
  $rankings{$country}->{"author_rank"} = $i + 1;
  $rankings{$country}->{"confloc_rank"} = MAX_RANK;
}

for (my $i = 0; $i < @confloc_co2_by_country; $i++) {
  my $line = $confloc_co2_by_country[$i];
  chop($line);
  my $country = (split(/\t/, $line))[0];
  $country = (split(/,/, $country))[0];
  $rankings{$country}->{"confloc_rank"} = $i + 1;
  if (!exists($rankings{$country}->{"author_rank"})) {
    $rankings{$country}->{"author_rank"} = MAX_RANK;
  }
}

foreach my $key (sort {$rankings{$a}->{"author_rank"} <=>  $rankings{$b}->{"author_rank"}} keys(%rankings)) {
  my $author_rank = $rankings{$key}->{"author_rank"};
  $author_rank = 'NA' if $author_rank == MAX_RANK;
  my $confloc_rank = $rankings{$key}->{"confloc_rank"};
  $confloc_rank = 'NA' if $confloc_rank == MAX_RANK;
  print $key . "\t" . $author_rank . "\t"  . $confloc_rank . "\n";
}
