#!/usr/bin/perl
#
# Calculate the frequency of words in bib file titles
#

use strict;

my %word_freq;
my %freq_word;

while (<>) {
    if (/^.*title={(.+)},$/) {
        my @words = split(/\W/, $1);
        for my $word (@words) {
            if (length($word) > 2) {
                $word_freq{lc($word)}++;
            }
        }
    }
}

while (my ($word, $freq) = each(%word_freq)) {
    push(@{$freq_word{$freq}}, $word);
}

my @freqs = sort { $b <=> $a } (keys %freq_word);

for my $freq (@freqs) {
    for my $word (@{$freq_word{$freq}}) {
       print "$freq:$word\n";
   }
}
